; plot a series of 7 plots on one page with the resulting efficiencies

pro plot_nuv_eff_ratios

   titles=['E1 = G185M (1986) / G225M (2186)', $
           'E2 = G185M (2010) / G225M (2217)', $
           'E3 = G225M (2390) / G285M (2617)', $
           'E4 = G225M (2410) / G285M (2637)', $
           'E5 = G185M (2010) / G230L (3360)', $
           'E6 = G225M (2217) / G230L (3360)', $
           'E7 = G285M (2637) / G230L (2635)']
   
   eff=[[1.44,1.533,1.475,1.522],$
        [1.195,1.227,1.192,1.243],$
        [1.471,1.513,1.354,1.447],$
        [1.408,1.396,1.284,1.366],$
        [0.523,0.538,0.537,0.547],$
        [0.438,0.439,0.451,0.44],$
        [0.132,0.139,0.140,0.136]]

   err=[[0.012,0.012,0.012,0.013],$
        [0.012,0.013,0.012,0.013],$
        [0.012,0.006,0.006,0.006],$
        [0.013,0.012,0.011,0.012],$
        [0.008,0.005,0.005,0.005],$
        [0.007,0.004,0.004,0.004],$
        [0.001,0.001,0.001,0.001]]

   mjd = [julday(10,1,2003), julday(4,5,2004), julday(4,22,2004), julday(12,3,2004)]
   mjd = mjd - 2400000.0

   window, xs=2000, ys=1500, /pixmap, /free   ;create pixmap
   pixmapid = !d.window
   wset, pixmapid
   tek_color
   !p.background=1
   !p.charsize=3.0
   !p.color=0

   xtitle='Date (MJD)'
   ytitle='Relative Efficiency'
   !p.multi=[0,2,4]
   nsize = size(eff,/DIM)
   nsize=nsize[1]
   for ff=0, nsize-1 do begin
       min1=min(eff[*,ff],max=max1)
       delta = (max1-min1) * 2.0
       yrange = [(max1+min1)/2.0-delta, (max1+min1)/2.0+delta]
       ploterror,mjd,eff[*,ff], err[*,ff], color=0, xtitle=xtitle,ytitle=ytitle,title=titles[ff], yrange=yrange
       ; ploterror,mjd,eff[*,ff], err[*,ff], color=0, xtitle=xtitle,ytitle=ytitle,title=titles[ff]
   endfor
   filename='plot_nuv_eff_ratios.jpg'
   img=tvrd(true=3)
   write_jpeg,filename,img,true=3
   
   ; device,/close
   set_plot,'X'

   !p.multi=0

end
